Introduction

We have included all useful information on Avira NTFS4DOS Personal in the online help and you will be guided step by step through the installation, configuration and operation of the software.

On our website http://www.free-av.com you can download the PDF manual for Avira NTFS4DOS Personal or update your Avira NTFS4DOS Personal and read more about the security solutions from Avira GmbH.

Our website also contains information such as the telephone number for technical support and our newsletter, to which you can subscribe there.

Your Avira Team

Avira GmbH
D-88069 Tettnang, Lindauer Str. 21
Phone: +49 (0) 7542 - 500 0
Fax: +49 (0) 7542 - 525 10
http://www.avira.com

Copyright [image] Avira GmbH. All rights reserved.


Symbols, emphases and terms

The following symbols are used:

Symbol

Explanation

Appears before a condition that must be met before an action is carried out.

Appears before a step you carry out.

Appears before a result that follows the preceding action.

Appears before a note with especially important information or a tip which makes it easier to understand and use Avira NTFS4DOS.

Appears before a warning of critical data loss.

The following emphases are used:

Emphasis

Explanation

Italic

File name or path.

Elements of the software interface which are displayed (e.g. window title, window area or option box)

Bold

Elements of the software interface that are clicked (e.g. menu item, tab or button).

Avira GmbH


Product information :: Overview

Help

Product information

Application situations

  • Creating a universal boot medium with full read and write access on NTFS drives, for saving, restoring or repairing files.

  • Saving or recovering files from NTFS drives on DOS.

  • Accessing NTFS drives only through DOS-compatible applications.

  • Integrating NTFS read and write access in separate applications.

Solutions

Full access to NTFS file systems on DOS

  • Integration of NTFS drives on DOS and Windows

  • Creating boot media for

  • Backup

  • Restore

  • Repair/replace affected files

  • Integrate separate applications

Your advantages

Reliable access to NTFS drives

  • Full read and write access on NTFS drives

  • Fast creation of universal boot media

  • Simple integration of NTFS drives on DOS

  • High reliability and performance through the NATIVE approach


Product information :: Method

Help

Method

There are two ways to access NTFS drives from DOS. The NATIVE and the CAPTIVE method. While the suppliers of other solutions employ the CAPTIVE method, Avira NTFS4DOS consistently uses the NATIVE method.

This gives you three main advantages:

  • Absolutely reliable read and write access

Avira NTFS4DOS communicates with the file system directly and supports native NTFS. This ensures that the read and particularly write access to the data carrier is absolutely reliable.

  • High performance

As Avira NTFS4DOS communicates directly with the file system and does not need to emulate all functions, it distinguishes itself through a clearly higher performance compared to the other solutions that use the CAPTIVE method.

  • No infringement of the Microsoft license terms

Avira NTFS4DOS does not save any parts of Windows on the boot diskette. Therefore, it does not affect Microsoft license terms in any way.


Product information :: System requirements

Help

System requirements

For flawless performance of Avira NTFS4DOS, you have to meet the following requirements:

To create a boot data carrier

  • Windows NT or Windows 2000 or Windows XP or Windows Server 2003.

  • 10 MB free hard disk space.

  • Floppy drive, CD/DVD burner or bootable USB stick.

  • License of the used DOS operating system. (FreeDOS is included in the delivery.)

PC requirements

  • DOS-based operating system (e.g. MS-DOS) on the hard drives or boot data carrier.

  • The computer's BIOS has to detect and address the hard drives.

  • BIOS support of the boot data carrier used.

  • Supported partition types:

  • Basic and dynamic data carriers, hardware RAID systems (if supported by BIOS).

  • Data carrier sets and software RAID configurations are not supported.


Product information :: Licensing

Help

Licensing

License scope

  • Private, non-commercial use only

  • Software and documentation downloads


Installation and deinstallation :: Overview

Help

Installation and deinstallation

Here you will find information about:

  • Installation

  • Deinstallation


Installation and deinstallation :: Installation

Help

Prerequisites for installation

  • Please make sure that the following prerequisites are met, so that Avira NTFS4DOS runs perfectly on your computer:

  • System requirements are met.

  • You have administrator access rights.

  • All programs running on the computer are closed.

Performing the installation

If all prerequisites are met, you can install Avira NTFS4DOS on your computer. Proceed as follows:

  • Start the installation by double-clicking the file ntfs_h.exe .

  • Select the language for the installation.

  • The Installation Wizard starts.

  • Click on OK.

  • The Welcome... window appears.

  • Click on Next.

  • The License Agreement window opens.

  • Confirm that you agree with the license terms and click on Next.

  • The Private Use window appears.

  • Confirm that you will use Avira NTFS4DOS exclusively for private, non-commercial purposes and click on Next.

  • In the next window, you can select the Destination Directory.

  • Keep the default destination directory by clicking on Next.

- OR -

  • Click on Browse... to select another destination and then click on Next.

  • The next window is Set Start menu folder.

  • Continue by clicking on Install.

- OR -

  • Type another name and click on Install.

  • The installation is performed on your computer.

  • You may activate the option Run Avira NTFS4DOS.

  • Click on Finished.

Create a boot diskette

This is how you create a boot diskette to start NTFS4DOS:

  • Insert an empty diskette in the floppy drive or plug in the bootable data carrier.

  • Go to the Windows Start menu and choose Programs.

  • Select Avira NTFS4DOS.

  • In its sub-menu, click Create NTFS capable boot floppy.

  • The window Avira NTFS4DOS Floppy Wizard starts.

  • Select the required Drive and the Language.

  • If needed, format the device again.

  • Click on Next.

  • The Configuration window opens.

  • Activate the option Create RAM Drive if you want to create a virtual drive in the main memory after booting.

  • Type the Size of the RAM drive to be created and where applicable activate the option Copy COMMAND.COM to RAM drive.

  • You may also activate the option Copy check disk command lines tool where necessary.

  • Click on Next.

  • The Additional Tools window appears.

  • Activate the required options.

  • Copy check disk GUI tool to diskette

  • Add defragment NTFS utility

  • Click on Create diskette.

  • The data carrier for starting Avira NTFS4DOS is created.


Installation and deinstallation :: Deinstallation

Help

Deinstallation

To deinstall Avira NTFS4DOS (for example, from Windows XP):

You can adequately deinstall the software only if you log in as Administrator!

  • In the Windows Start menu open the Control Panel.

  • Double-click Add or Remove Programs.

  • Select Avira NTFS4DOS and click on Change/Remove.

  • Select the language.

  • The Uninstalling Avira NTFS4DOS appears.

  • Click on Yes.

  • The software is removed.

  • Click on OK.

  • After the successful deinstallation, the entry disappears from the software list.


Working with Avira NTFS4DOS :: Overview

Help

Working with Avira NTFS4DOS

Here you will find information on:

  • Configure boot device

  • Command line parameters

  • Saving disk space

  • Maximize I/O speed

  • Avira NTFS4DOS on Windows 98 and Windows ME


Working with Avira NTFS4DOS :: Configure the boot device

Help

Configure the boot device

Editing the file config.sys

You can edit the existing file config.sys. For example, you can activate other device drivers for the CD-ROM drive or a Microsoft network client.

For further details on editing the file config.sys please refer to your DOS documentation.

Editing the file autoexec.bat

You can edit the existing file autoexec.bat. For example, you can start anti-virus or imaging software.

For further details on editing the file autoexec.bat please refer to your DOS documentation.

Integrating additional software

If you want to copy additional software, such as Volkov Commander, to the boot device, please note that this software is packed and extracted on drive X: after the boot device starts. Configure the files config.sys and autoexec.bat accordingly.

When integrating additional software, please note that it should not exceed 200 kilobytes if you want to work with a boot floppy disk.


Working with Avira NTFS4DOS :: Command line parameters

Help

Command line parameters

You can start Avira NTFS4DOS at any time via the command line.

Avira NTFS4DOS supports the following command line parameters:

Parameter

Description

/lX

Sets the letter of the first used drive. For example, lC means that the first partition detected contains the letter C.

/rX

Sets the RAM disk size. For example, r4 means that Avira NTFS4DOS was designed with a 4MB RAM disk.

/?

Displays a help screen.

When starting, Avira NTFS4DOS automatically loads a new shell, or a program run as a shell. If no shell is specified, Avira NTFS4DOS uses the default shell (command.com). After completing work with Avira NTFS4DOS, you can stop the shell and thus also release the memory used by NTFS4DOS again.

Examples for calling Avira NTFS4DOS

Example 1

NTFS4DOS /lF /r8 command.com /C mybatch.bat

  • This command starts Avira NTFS4DOS to connect the detected NTFS partitions, starting from the drive letter F, and creates an 8 MB RAM disk. The RAM disk contains the first free drive letter for every connected NTFS drive.

  • The file mybatch.bat is executed in a new shell.

  • After executing the file mybatch.bat, Avira NTFS4DOS stops automatically, because the shell parameter /C was called. Please refer to the DOS operating system documentation for information on all possible shell parameters.

Example 2

NTFS4DOS F:\AntiVir\avcmd.exe

  • This command starts Avira NTFS4DOS to connect to all NTFS partitions found, starting with the first available drive letter, without creating a RAM disk.

  • The anti-virus scanner is run in a new shell.

  • When this ends, Avira NTFS4DOS turns off again.

Example 3

NTFS4DOS /lE /r4 command.com /K f:\vc\vc.com

  • This command starts Avira NTFS4DOS to connect detected NTFS partitions, starting from drive letter E, and creates a 4MB RAM disk. The RAM disk contains the first free drive letters for the connected NTFS drives.

  • The Volkov Commander is run in a new shell.

  • After terminating the Volkov Commander, Avira NTFS4DOS stays loaded until the shell is closed with the exit command.


Working with Avira NTFS4DOS :: Saving disk space

Help

Saving disk space

In order to save disk space, you can start Avira NTFS4DOS from config.sys. This is useful especially when the memory is too low for running a utility program.

Example of a config.sys file that loads Avira NTFS4DOS and offers maximum space. This file, based on MS-DOS 6.22, has approx. 440 KB free on the DOS memory after booting.

SWITCHES=/F

DOS=HIGH,UMB

DEVICEHIGH=A:\HIMEM.SYS /NUMHANDLES=128 /TESTMEM:OFF /Q

DEVICEHIGH=A:\UMBPCI.SYS

BUFFERS=11,0

FILES=60

LASTDRIVE=Z

FCBS=1,0

STACKS=0,0

SET CMDLINE=

INSTALLHIGH=A:\ntfs4dos.exe /r4 /lC A:\command.com /K A:\autoexec.bat /E:1280 /P


Working with Avira NTFS4DOS :: Maximize I/O speed

Help

Maximize I/O speed

With the ntaccess.lib access technology, Avira NTFS4DOS offers maximum performance. However, disk access on DOS is usually slow as it does not use UDMA. The powerful UDMA mode for accessing the IDE drive is not implemented in many BIOS versions, but only the much slower PIO mode. The maximum transfer rate of the hard disk in this case is approx. 8 MB/s, which in practice results in a random access data transfer rate of about 1MB/s.

Modern hard disks, on the other hand, reach a transfer rate of 10 MB/s and more if operated in the faster UDMA mode. However, this requires a special driver.

You can insert this UDMA driver in config.sys:

devicehigh=udma.sys

The UDMA driver was developed by Latschezar Georgiev. For more details and the current driver version, please refer to the dedicated website.

Avira NTFS4DOS uses an internal cache memory of 2 MB to additionally speed up data access.


Working with Avira NTFS4DOS :: Avira NTFS4DOS on Windows 98 and Windows ME

Help

Avira NTFS4DOS on Windows 98 and Windows ME

As a DOS program, Avira NTFS4DOS also runs on Windows 98 and Windows ME in the DOS box. Therefore, you can use, for example, an anti-virus program installed on Windows 98 to scan NTFS drives for viruses.

However, Avira NTFS4DOS must not be started in the file autoexec.bat if installed on Windows 98/ME. It should always start in a DOS box because when opening the DOS box the connected NTFS drives are also accessible.

On Windows NT, Windows 2000 and Windows XP you cannot use Avira NTFS4DOS in a DOS box because these operating systems do not support direct hardware access.


Tools :: Overview

Help

Tools

Here you can find information on:

  • Defragment NTFS drives with DEFRAG

  • Check and repair hard disk


Tools :: Defragment NTFS drives with DEFRAG

Help

Defragment NTFS drives with DEFRAG

The offline file defragmentation is the best method for defragmenting all files of an NTFS drive. It guarantees that no file is in use during defragmentation. The process does not remove any files, it only defragments them.

The defragmentation with DFRGNTFS can increase the speed of Windows by 100% or more. The regular use of DFRGNTFS keeps the defragmentation time short and your computer runs at a high speed.

In the case of highly fragmented and very large partitions, the first use of DFRGNTFS may last up to 2 hours.

Function key commands:

Function key

Command

F5

Change the defragmentation level

F6

Show partitions

F9

Restart computer

F10

Shut down computer

This is how you defragment a partition

  • Start Avira NTFS4DOS by booting with the boot device you created in the Wizard.

  • Select the option Defragment NTFS.

  • DEFRAGNTFS starts. The hard drives are scanned for existing NTFS partitions and a list of the results is displayed.

  • Press F5 to select the required defragmentation level.

  • Select the required defragmentation level.

  • 0 corresponds to a fast and less intensive defragmentation.

  • 1 corresponds to the recommended default defragmentation.

  • 2 corresponds to a full defragmentation.

  • Type the letter of the drive to be defragmented.

Do not interrupt a defragmentation process because this may lead to loss of data being defragmented.

  • Defragmentation starts. After the drive is completely defragmented, the menu is displayed again.


Tools :: Check and repair hard disk

Help

Check and repair hard disk

CHKDSK and CHKDSKG are tools that enable the start of the service program used by Windows autochk.exe. It searches for the file autochk.exe on the entire hard disk. If the file is not found, the hard disk cannot be scanned.

If the file autochk.exe could not be found, proceed as follows:

  • On a local partition, create an arbitrary directory (for example, AUTOCHK).

  • In that directory, create a sub-directory named SYSTEM32.

  • Copy the file autochk.exe from another Windows installation to the sub-directory you created.

  • Restart CHKDSK or CHKDSKG.

Differences between CHKDSK and CHKDSKG

While CHKDSK is a clean command line tool, which automatically checks and repairs all found and identified partitions, CHKDSKG is a GUI tool for the less experienced user. With CHKDSKG you can perform scanning or scanning with repair.

CHKDSKG

Function key commands:

Function key

Command

F6

Show partitions

F9

Restart computer

F10

Shut down computer

This is how you check the hard drive with the Check Disk GUI Tool (CHKDSKG)

  • Start Avira NTFS4DOS by booting with the boot device you created in the Wizard.

  • Select the option Check Disk GUI Utility.

  • CHKDSKNT GUI starts.

  • Type the letter of the drive to be scanned. You can also use * to scan all drives.

  • You are asked if you want to run Check Disk in read-only mode.

  • Specify whether Check Disk should run in read-only mode.

  • Yes: Drives are only scanned, not repaired.

  • No: Drives are scanned and, if possible, repaired.

  • The scanning of the data carrier starts. When the scanning is complete, the menu reappears.


Service :: Overview

Help

Service

Here you can find assistance and further information:

  • Service hotline

  • Online shop

  • Contact address


Service :: Service hotline

Help

Service hotline

All relevant information concerning our comprehensive support service can be found on our website http://www.avira.com. The experts answer your questions and help you with difficult technical problems.


Service :: Online shop

Help

Online shop

You want to purchase our products conveniently with the click of a button?

In the online shop of Avira GmbH, you can purchase, extend and enhance licenses quickly and securely under http://www.avira.de/en/onlineshop. The online shop guides you through the ordering menu step by step. Our multilingual Customer Care Center provides information on the ordering process, payment and delivery. Resellers can order on account.


Service :: Contact address

Help

Contact address

If you have any questions or requests concerning the Avira product range, we will be pleased to help you. If you require product information or other information, you can contact the address given below. General information on us and our products can also be obtained from our website http://www.avira.com.

Avira GmbH
Lindauer Str. 21
D-88069 Tettnang

Fax: +49 (0) 7542 - 500 0
Phone: +49 (0) 7542 - 500 0

Internet: http://www.avira.com
Email: info@avira.com


Copyright

Help

Trademarks

Windows is a registered trademark of the Microsoft Corporation in the United States and other countries.

All other brand and product names are trademarks or registered trademarks of their respective owners.

Protected trademarks are not marked as such in this help file. This does not mean, however, that they may be used freely.

Publisher

Avira GmbH
D-88069 Tettnang, Lindauer Str. 21
Phone: +49 (0) 7542 - 500 0
Fax: +49 (0) 7542 - 525 10
Email: info@avira.com
Internet: http://www.avira.com

Production

Avira GmbH
D-88069 Tettnang, Lindauer Str. 21

Copyright © Avira GmbH

This help file was created with great care. However, errors in form and content cannot be excluded.

All rights reserved. The reproduction of this publication or parts thereof in any form is prohibited without previous written consent from Avira GmbH.

Errors and technical modifications reserved.

Issued: January 2007